foundation-0.0.30: Alternative prelude with batteries and no dependencies

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Foundation.Foreign

Description

# Documentation

module Basement.FinalPtr

foreignMem #

Arguments

:: PrimType ty |
=> FinalPtr ty | the start pointer with a finalizer
-> CountOf ty | the number of elements (in elements, not bytes)
-> UArray ty |

mutableForeignMem #

Arguments

:: (PrimMonad prim, PrimType ty) |
=> FinalPtr ty | the start pointer with a finalizer
-> Int | the number of elements (in elements, not bytes)
-> prim (MUArray ty (PrimState prim)) |

module Basement.Compat.C.Types